##############
# Simulation #
##############

#setwd(choose.dir())
#library(robfilter)
#source("STM.simulation.R")
#
#repeats <- 1000
#c.bound <- c(2,3,4)
#time.points <- matrix(NA, ncol=length(c.bound), nrow=repeats)
#phis <- c(-0.9,-0.6,-0.3,0,0.3,0.6,0.9)
#
#for(phi in phis){
#    if(phi==-0.9){
#        autocorr <- "high.negative"
#    }
#    if(phi==-0.6){
#        autocorr <- "moderate.negative"
#    }
#    if(phi==-0.3){
#        autocorr <- "small.negative"
#    }
#    if(phi==0){
#        autocorr <- "no"
#    }
#    if(phi==0.3){
#        autocorr <- "small.positive"
#    }
#    if(phi==0.6){
#        autocorr <- "moderate.positive"
#    }
#    if(phi==0.9){
#        autocorr <- "high.positive"
#    }
#    for(i in 1:repeats){
#        set.seed(i)
#        n1 <- sample(x=10:200, size=1)
#        n2 <- sample(x=10:200, size=1)
#        SD.phi <- sqrt(1/(1-(phi^2)))
#        time.series1 <- arima.sim(n=100000, model=list(ar=phi), sd=1)/SD.phi
#        time.series2 <- arima.sim(n=100000, model=list(ar=phi), sd=1)/SD.phi
#        time.series <- cbind(time.series1,time.series2)
#        time.points[i,] <- STM.simulation(time.series, n1=n1, n2=n2, 
#        c.bound=c.bound, autocorrelations=autocorr)
#        write.table(time.points, paste("RLs.in.control/RLs.in.control_AR_errors_phi=",phi,".txt", sep=""), sep=",")
#    }
#}

############
# Analysis #
############

setwd(choose.dir())
ARL.in.control <- matrix(NA, ncol=3, nrow=7)
phis <- c(-0.9,-0.6,-0.3,0,0.3,0.6,0.9)

for(i in 1:7){
    phi <- phis[i]
    RLs.in.control <- read.table(paste("RLs.in.control/RLs.in.control_AR_errors_phi=",phi,".txt", sep=""), sep=",")
    ARL.in.control[i,] <- round(apply(RLs.in.control,2,mean,na.rm=T))
}

colnames(ARL.in.control) <- c("c=2","c=3","c=4")
rownames(ARL.in.control) <- c("phi=-0.9","phi=-0.6","phi=-0.3","phi=0","phi=0.3","phi=0.6","phi=0.9")
ARL.in.control


