##############
# Simulation #
##############

#setwd(choose.dir())
#library(robfilter)
#source("STM.simulation.R")
#
#repeats <- 1000
#c.bound <- c(2,3,4)
#time.points <- matrix(NA, ncol=length(c.bound), nrow=repeats)
#phis <- c(-0.9,-0.6,-0.3,0,0.3,0.6,0.9)
#slopes <- c(seq(0.01,0.09,0.01),seq(0.1,1,0.1))
#
#for(phi in phis){
#    if(phi==-0.9){
#        autocorr <- "high.negative"
#        N <- 1000
#    }
#    if(phi==-0.6){
#        autocorr <- "moderate.negative"
#        N <- 1000
#    }
#    if(phi==-0.3){
#        autocorr <- "small.negative"
#        N <- 1000
#    }
#    if(phi==0){
#        autocorr <- "no"
#        N <- 1000
#    }
#    if(phi==0.3){
#        autocorr <- "small.positive"
#        N <- 1000
#    }
#    if(phi==0.6){
#        autocorr <- "moderate.positive"
#        N <- 10000
#    }
#    if(phi==0.9){
#        autocorr <- "high.positive"
#        N <- 10000
#    }
#    for(j in slopes){
#        for(i in 1:repeats){
#        set.seed(i)
#        n1 <- sample(x=10:200, size=1)
#        n2 <- sample(x=10:200, size=1)
#        max.n <- max(n1,n2)
#        SD.phi <- sqrt(1/(1-(phi^2)))
#        time.series1 <- arima.sim(n=max.n+N, model=list(ar=phi), sd=1)/SD.phi
#        time.series2a <- arima.sim(n=max.n, model=list(ar=phi), sd=1)/SD.phi
#        time.series2b <- arima.sim(n=N, model=list(ar=phi), sd=1)/SD.phi + (j*1:N)
#        time.series2 <- c(time.series2a,time.series2b)
#        time.series <- cbind(time.series1,time.series2)
#        time.points[i,] <- STM.simulation(time.series, n1=n1, n2=n2, 
#        c.bound=c.bound, autocorrelations=autocorr)
#        write.table(time.points, paste("RLs.out.of.control/RLs.out.of.control_AR_errors.phi=",phi,".slope=",j,".txt", sep=""), sep=",")
#        }
#    }
#}

############
# Analysis #
############

setwd(choose.dir())
ARL.out.of.control <- NULL
phis <- c(-0.9,-0.6,-0.3,0,0.3,0.6,0.9)
slopes <- c(seq(0.01,0.09,0.01),seq(0.1,1,0.1))

for(i in 1:7){
    phi <- phis[i]
    mat <- matrix(NA, ncol=3, nrow=19)
    colnames(mat) <- c("c=2","c=3","c=4")
    rownames(mat) <- c("slope=0.01",
                       "slope=0.02",
                       "slope=0.03",
                       "slope=0.04",
                       "slope=0.05",
                       "slope=0.06",
                       "slope=0.07",
                       "slope=0.08",
                       "slope=0.09",
                       "slope=0.1",
                       "slope=0.2",
                       "slope=0.3",
                       "slope=0.4",
                       "slope=0.5",
                       "slope=0.6",
                       "slope=0.7",
                       "slope=0.8",
                       "slope=0.9",
                       "slope=1")
    for(j in 1:19){
        slope <- slopes[j]
        RLs.out.of.control <- read.table(paste("RLs.out.of.control/RLs.out.of.control_AR_errors.phi=",phi,".slope=",slope,".txt", sep=""), sep=",")
        mat[j,] <- round(apply(RLs.out.of.control,2,mean,na.rm=T))
    }    
    ARL.out.of.control[[i]] <- mat
}
names(ARL.out.of.control) <- c("phi=-0.9","phi=-0.6","phi=-0.3","phi=0","phi=0.3","phi=0.6","phi=0.9")
ARL.out.of.control